package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

/**
 * @Author Joburgess
 * @Date 2021/8/16 0016
 */
public class TeacherStudentDataDto {

    @ApiModelProperty("教师编号")
    private Integer teacherId;

    @ApiModelProperty("教师名称")
    private String teacherName;

    @ApiModelProperty("学员总数")
    private int totalStudentNum;

    @ApiModelProperty("付费会员数")
    private int vipStudentNum;

    @ApiModelProperty("试用会员数")
    private int eVipStudentNum;

    @ApiModelProperty("付费会员占比")
    private float vipStudentDuty;

    @ApiModelProperty("云教练试用人数")
    private int cloudStudyUseStudentNum;

    @ApiModelProperty("云教练使用人数占比")
    private float cloudStudyUseStudentDuty;

    public Integer getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Integer teacherId) {
        this.teacherId = teacherId;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public int getTotalStudentNum() {
        return totalStudentNum;
    }

    public void setTotalStudentNum(int totalStudentNum) {
        this.totalStudentNum = totalStudentNum;
    }

    public int getVipStudentNum() {
        return vipStudentNum;
    }

    public void setVipStudentNum(int vipStudentNum) {
        this.vipStudentNum = vipStudentNum;
    }

    public int geteVipStudentNum() {
        return eVipStudentNum;
    }

    public void seteVipStudentNum(int eVipStudentNum) {
        this.eVipStudentNum = eVipStudentNum;
    }

    public float getVipStudentDuty() {
        return vipStudentDuty;
    }

    public void setVipStudentDuty(float vipStudentDuty) {
        this.vipStudentDuty = vipStudentDuty;
    }

    public int getCloudStudyUseStudentNum() {
        return cloudStudyUseStudentNum;
    }

    public void setCloudStudyUseStudentNum(int cloudStudyUseStudentNum) {
        this.cloudStudyUseStudentNum = cloudStudyUseStudentNum;
    }

    public float getCloudStudyUseStudentDuty() {
        return cloudStudyUseStudentDuty;
    }

    public void setCloudStudyUseStudentDuty(float cloudStudyUseStudentDuty) {
        this.cloudStudyUseStudentDuty = cloudStudyUseStudentDuty;
    }
}
